XF 2.1 Upgrading to 2.1 Error

RyanC

Active member
Hey guys, upgrading a test installation to 2.1 and getting this error in the middle of the upgrade:


Fatal error: XF\Template\Compiler\Syntax\Expression::compile(): The script tried to execute a method or access a property of an incomplete object. Please ensure that the class definition "XF\Template\Compiler\Syntax\Fn" of the object you are trying to operate on was loaded before unserialize() gets called or provide a __autoload() function to load the class definition in *********XF/Template/Compiler/Syntax/Expression.php on line 22

I've tried to restart the upgrade and just get this error... Any ideas?
 

Brogan

XenForo moderator
Staff member
I'm on my phone but that looks to be this bug.

 

RyanC

Active member
I'm on my phone but that looks to be this bug.


IF that is it... I'm unsure (as an idiot) hot to do this:

Patching XF\Service\Template\Compile::recompile to check that $template->template_parsed has content and isn't false/null got the master template rebuild working
 
Top